# load rails env only when not running tests,
# so "rake test" will start faster
if Rake.application.top_level_tasks != ['test']
  require_relative 'config/application'
  Rails.application.load_tasks
  Rake::Task['test'].clear
end

# change rails tests runner to simple require
task :test do
  ENV['RAILS_ENV'] = 'test'
  Dir.glob('./test/**/*_test.rb').each { |file| require file }
end
